RubyGems Navigation menu

ruble 0.0.3.alpha

RuBLE is a ruby interface to the SimpleBLE library, providing a cross-platform DSL for interacting with Bluetooth Low Energy (BLE) devices.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 0.0.3.alpha - November 11, 2023 (60.5 KB)

Runtime Dependencies (1):

zeitwerk ~> 2.6.12

Development Dependencies (7):

concurrent-ruby ~> 1.2.2
faraday ~> 2.7.11
faraday-retry ~> 2.2.0
memery ~> 1.5
os ~> 1.1
rice ~> 4.1

Requirements:

C++ compiler supporting standard c++23 (e.g. g++-13)

CMake version 3.25.1 or higher

Owners:

Pushed by:

Authors:

  • Mike Vastola

SHA 256 checksum:

70da426a60a729f3451328e510d5f411372c6da28eded6a9bf8ad76159528eb6

Total downloads 133

For this version 133

License:

MIT

Required Ruby Version: >= 3.2.0

Version published with MFA: true

Required Rubygems Version: > 1.3.1

Links: